Class | Chef::Exceptions::CookbookVersionSelection::InvalidRunListItems
In: | lib/chef/exceptions.rb
Parent: | StandardError

Compound exception: In run_list expansion and resolution, run_list items referred to cookbooks that don‘t exist and/or have no versions available.

### Methods

new to_json

### Attributes

cookbooks_with_no_matching_versions | [R] |
non_existent_cookbooks | [R] |

### Public Class methods

new(message, non_existent_cookbooks, cookbooks_with_no_matching_versions)

### Public Instance methods

to_json(*a)

[Validate]